NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::DatumAxisBuilder Class Reference

Represents a datum axis feature builder. More...

Inheritance diagram for NXOpen::Features::DatumAxisBuilder:
NXOpen::Features::DatumBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AlternateSolution {
  AlternateSolutionUndefined, AlternateSolutionTangent, AlternateSolutionNormal, AlternateSolutionBinormal,
  AlternateSolutionOppositeTangent, AlternateSolutionOppositeNormal, AlternateSolutionOppositeBinormal, AlternateSolutionProject
}
 Specifies the alternate solution for datum axis using point on curve method only. More...
 
enum  ConstraintType {
  ConstraintTypeUndefined, ConstraintTypeCoincident, ConstraintTypeParallel, ConstraintTypePerpendicular,
  ConstraintTypeCenter, ConstraintTypeTangent, ConstraintTypeDistance, ConstraintTypeAngle,
  ConstraintTypeFrenet
}
 Specifies different constraint types for selected geometries. More...
 
enum  CurveOption { CurveOptionDistance, CurveOptionPercent }
 Specifies the distance on the curve as absolute distance or relative distance as percentage. More...
 
enum  CurveOrientations {
  CurveOrientationsTangent, CurveOrientationsNormal, CurveOrientationsBinormal, CurveOrientationsPerpendicularToObject,
  CurveOrientationsParallelToObject
}
 Available orientations that the user can choose when the Datum Axis type is On Curve Vector. More...
 
enum  DirectionOrientations { DirectionOrientationsParallelToVector, DirectionOrientationsPerpendicularToVector }
 Two available direction orientations that the user can choose when the Datum Axis type is Point and Direction. More...
 
enum  FixedType { FixedTypeAll, FixedTypeX, FixedTypeY, FixedTypeZ }
 Specifies the fixed type datum axis going thru only one specific axis or thru all axes. More...
 
enum  Types {
  TypesInferred, TypesIntersection, TypesCurveOrFaceAxis, TypesOnCurveVector,
  TypesXcAxis, TypesYcAxis, TypesZcAxis, TypesPointAndDir,
  TypesTwoPoints, TypesFixed
}
 New Datum Axis types in NX5. More...
 
enum  UseArcLength { UseArcLengthNoPoint, UseArcLengthFirstPoint, UseArcLengthSecondPoint, UseArcLengthAllPoints }
 Specifies points for which arclength is to be used. More...
 

Public Member Functions

NXOpen::Features::DatumAxisBuilder::AlternateSolution AlternateSolutionType ()
 Returns the alternate solution type. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderArcLength ()
 Returns the arc length. More...
 
NXOpen::SelectICurveCurve ()
 Returns the curve or edge. More...
 
NXOpen::SelectNXObjectCurveOrFace ()
 Returns the curve or face . More...
 
NXOpen::Features::DatumAxisBuilder::CurveOrientations CurveOrientation ()
 Returns the orientation of vector on a curve. More...
 
NXOpen::Features::DatumAxisBuilder::DirectionOrientations DirectionOrientation ()
 Returns the direction orientation. More...
 
void EvaluatePath (NXOpen::Section *section)
 Evaluate the path. More...
 
bool IsAssociative ()
 Returns the associativity. More...
 
bool IsAxisReversed ()
 Returns the datum axis direction. More...
 
NXOpen::SelectNXObjectObject1 ()
 Returns the first object (i.e. More...
 
NXOpen::SelectNXObjectObject2 ()
 Returns the second object (i.e. More...
 
NXOpen::SelectNXObjectListObjects ()
 Returns the objects to define Datum Axis. More...
 
NXOpen::SelectNXObjectOrientationObject ()
 Returns the orientation object. More...
 
NXOpen::PointPoint ()
 Returns the point. More...
 
NXOpen::PointPoint1 ()
 Returns the first point. More...
 
NXOpen::PointPoint2 ()
 Returns the second point. More...
 
double ResizedEndDistance ()
 Returns the resized distance for the end point. More...
 
bool ReverseDirection ()
 Returns
Created in NX4.0.0. More...
 
NXOpen::SectionSection ()
 Returns the section. More...
 
void SetAlternateSolutionType (NXOpen::Features::DatumAxisBuilder::AlternateSolution alternateSolutionType)
 Sets the alternate solution type. More...
 
void SetAssociative (bool isAssociative)
 Sets the associativity. More...
 
void SetAxisReversed (bool isAxisReversed)
 Sets the datum axis direction. More...
 
void SetCurveOrientation (NXOpen::Features::DatumAxisBuilder::CurveOrientations curveOrientation)
 Sets the orientation of vector on a curve. More...
 
void SetDirectionOrientation (NXOpen::Features::DatumAxisBuilder::DirectionOrientations directionOrientation)
 Sets the direction orientation. More...
 
void SetFixedDatumAxis (NXOpen::Features::DatumAxisBuilder::FixedType type)
 Sets type of fixed datum axis
Created in NX3.0.0. More...
 
void SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const NXString &constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const NXString &constraint2, NXOpen::Sense direction)
 Sets two different geometric objects. More...
 
void SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const char *constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const char *constraint2, NXOpen::Sense direction)
 Sets two different geometric objects. More...
 
void SetPoint (NXOpen::Point *point)
 Sets the point. More...
 
void SetPoint1 (NXOpen::Point *point1)
 Sets the first point. More...
 
void SetPoint2 (NXOpen::Point *point2)
 Sets the second point. More...
 
void SetPointAndDirection (NXOpen::Point *point, NXOpen::Direction *direction)
 
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumAxisBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve)
 Sets curve or edge and arc length
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumAxisBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve)
 Sets curve or edge and arc length
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry)
 Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry)
 Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::DisplayableObject *secondGeometry, NXOpen::ICurve *curve)
 Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::DisplayableObject *secondGeometry, NXOpen::ICurve *curve)
 Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0. More...
 
void SetResizedEndDistance (double resizedEndDistance)
 Sets the resized distance for the end point. More...
 
void SetReverseDirection (bool reverseDirection)
 Sets
Created in NX4.0.0. More...
 
void SetTwoPoints (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Features::DatumAxisBuilder::UseArcLength useArcLength)
 Sets two points
Created in NX3.0.0. More...
 
void SetType (NXOpen::Features::DatumAxisBuilder::Types type)
 Sets the Datum Axis type
Created in NX5.0.0. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector. More...
 
NXOpen::Features::DatumAxisBuilder::Types Type ()
 Returns the Datum Axis type
Created in NX5.0.0. More...
 
NXOpen::DirectionVector ()
 Returns the vector. More...
 
- Public Member Functions inherited from NXOpen::Features::DatumBuilder
NXOpen::DatumConstraintCreateConstraint ()
 Creates a new empty constraint object. More...
 
std::vector
< NXOpen::DatumConstraint * > 
GetConstraints ()
 Gets the contraint objects that define the positioning of this datum. More...
 
void SetConstraints (const std::vector< NXOpen::DatumConstraint * > &constraints)
 Sets the contraint objects that define the positioning of this datum. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a datum axis feature builder.

Provides methods to create datum axis thru two points, point and direction and point on curve. Also provides generic method for creation of datum axis feature
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateDatumAxisBuilder

Created in NX3.0.0.

Member Enumeration Documentation

Specifies the alternate solution for datum axis using point on curve method only.

Enumerator
AlternateSolutionUndefined 

Not defined.

AlternateSolutionTangent 

Indicates the datum axis at tangent to curve.

AlternateSolutionNormal 

Datum axis at normal to curve.

AlternateSolutionBinormal 

Datum axis at binormal to curve.

AlternateSolutionOppositeTangent 

Datum axis at opposite to tangent to curve.

AlternateSolutionOppositeNormal 

Datum axis at opposite to normal to curve.

AlternateSolutionOppositeBinormal 

Datum axis at opposite to binormal to curve.

AlternateSolutionProject 

This direction is calculated by projecting a point selected along a curve to a line, a datum axis, an edge of a solid, a planar face or a datum plane.

Specifies different constraint types for selected geometries.

Enumerator
ConstraintTypeUndefined 

Not defined.

ConstraintTypeCoincident 

Coincident constraint.

ConstraintTypeParallel 

Parallel constraint.

ConstraintTypePerpendicular 

Perpendicular constraint.

ConstraintTypeCenter 

Center constraint.

ConstraintTypeTangent 

Tangent constraint.

ConstraintTypeDistance 

Distance constraint.

ConstraintTypeAngle 

Angle constraint.

ConstraintTypeFrenet 

Frenet constraint.

Specifies the distance on the curve as absolute distance or relative distance as percentage.

Enumerator
CurveOptionDistance 

Absolute distance.

CurveOptionPercent 

Relative distance as percentage.

Available orientations that the user can choose when the Datum Axis type is On Curve Vector.

Enumerator
CurveOrientationsTangent 

Orientation at tangent to curve.

CurveOrientationsNormal 

Orientation at normal to curve.

CurveOrientationsBinormal 

Orientation at binormal to curve.

CurveOrientationsPerpendicularToObject 

Orientation at perpendicular to object.

CurveOrientationsParallelToObject 

Orientation at parallel to object.

Two available direction orientations that the user can choose when the Datum Axis type is Point and Direction.

Enumerator
DirectionOrientationsParallelToVector 

Orientation parallel to Direction.

DirectionOrientationsPerpendicularToVector 

Orientation perpendicular to Direction.

Specifies the fixed type datum axis going thru only one specific axis or thru all axes.

Enumerator
FixedTypeAll 

Fixed datum axis thru all Axis.

FixedTypeX 

Fixed datum axis thru X Axis.

FixedTypeY 

Fixed datum axis thru Y Axis.

FixedTypeZ 

Fixed datum axis thru Z Axis.

New Datum Axis types in NX5.

Enumerator
TypesInferred 

Inferred.

TypesIntersection 

Datum axis at the intersection of objects.

TypesCurveOrFaceAxis 

Datum axis at the curve or face axis.

TypesOnCurveVector 

Datum axis at vector on curve.

TypesXcAxis 

Datum axis thru X axis.

TypesYcAxis 

Datum axis thru Y axis.

TypesZcAxis 

Datum axis thru Z axis.

TypesPointAndDir 

Datum axis thru a point and parallel or perpendicular to direction.

TypesTwoPoints 

Datum axis thru two point.

TypesFixed 

Indicate the datum axis is fixed.

Specifies points for which arclength is to be used.

Percentage of arclength is used for points for which arclength option is not selected. Specified for creation of datum axis using thru two points method.

Enumerator
UseArcLengthNoPoint 

All points use percentage of arclength.

UseArcLengthFirstPoint 

Only first point uses arclength.

UseArcLengthSecondPoint 

Only second point uses arclength.

UseArcLengthAllPoints 

Both points use arclength.

Member Function Documentation

NXOpen::Features::DatumAxisBuilder::AlternateSolution NXOpen::Features::DatumAxisBuilder::AlternateSolutionType ( )

Returns the alternate solution type.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::DatumAxisBuilder::ArcLength ( )

Returns the arc length.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : None

NXOpen::SelectICurve* NXOpen::Features::DatumAxisBuilder::Curve ( )

Returns the curve or edge.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::CurveOrFace ( )

Returns the curve or face .

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesCurveOrFaceAxis


Created in NX5.0.0.

License requirements : None

NXOpen::Features::DatumAxisBuilder::CurveOrientations NXOpen::Features::DatumAxisBuilder::CurveOrientation ( )

Returns the orientation of vector on a curve.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : None

NXOpen::Features::DatumAxisBuilder::DirectionOrientations NXOpen::Features::DatumAxisBuilder::DirectionOrientation ( )

Returns the direction orientation.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir


Created in NX5.0.0.

License requirements : None

void NXOpen::Features::DatumAxisBuilder::EvaluatePath ( NXOpen::Section section)

Evaluate the path.

If there is no path, create it, otherwise evaluate it. This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
sectionsection
bool NXOpen::Features::DatumAxisBuilder::IsAssociative ( )

Returns the associativity.

If true, the Datum Axis is associative
Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::DatumAxisBuilder::IsAxisReversed ( )

Returns the datum axis direction.

If true, the Datum Axis direction is reversed
Created in NX5.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::Object1 ( )

Returns the first object (i.e.

a planar face or datum plane). This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesIntersection


Created in NX5.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::Object2 ( )

Returns the second object (i.e.

a planar face or datum plane). This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesIntersection


Created in NX5.0.0.

License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::DatumAxisBuilder::Objects ( )

Returns the objects to define Datum Axis.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesInferred


Created in NX5.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::OrientationObject ( )

Returns the orientation object.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::DatumAxisBuilder::Point ( )

Returns the point.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::DatumAxisBuilder::Point1 ( )

Returns the first point.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::DatumAxisBuilder::Point2 ( )

Returns the second point.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints


Created in NX5.0.0.

License requirements : None

double NXOpen::Features::DatumAxisBuilder::ResizedEndDistance ( )

Returns the resized distance for the end point.

If the value is 0.0, then this datum axis is not resized at end point
Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::DatumAxisBuilder::ReverseDirection ( )

Returns
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::Section* NXOpen::Features::DatumAxisBuilder::Section ( )

Returns the section.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::DatumAxisBuilder::SetAlternateSolutionType ( NXOpen::Features::DatumAxisBuilder::AlternateSolution  alternateSolutionType)

Sets the alternate solution type.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
alternateSolutionTypealternate solution type
void NXOpen::Features::DatumAxisBuilder::SetAssociative ( bool  isAssociative)

Sets the associativity.

If true, the Datum Axis is associative
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
isAssociativeisassociative
void NXOpen::Features::DatumAxisBuilder::SetAxisReversed ( bool  isAxisReversed)

Sets the datum axis direction.

If true, the Datum Axis direction is reversed
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
isAxisReversedisaxisreversed
void NXOpen::Features::DatumAxisBuilder::SetCurveOrientation ( NXOpen::Features::DatumAxisBuilder::CurveOrientations  curveOrientation)

Sets the orientation of vector on a curve.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curveOrientationcurveorientation
void NXOpen::Features::DatumAxisBuilder::SetDirectionOrientation ( NXOpen::Features::DatumAxisBuilder::DirectionOrientations  directionOrientation)

Sets the direction orientation.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
directionOrientationdirectionorientation
void NXOpen::Features::DatumAxisBuilder::SetFixedDatumAxis ( NXOpen::Features::DatumAxisBuilder::FixedType  type)

Sets type of fixed datum axis
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
typeIndicates fixed datum axis type
void NXOpen::Features::DatumAxisBuilder::SetGeometryAndConstraints ( NXOpen::DisplayableObject geometry1,
NXOpen::Features::DatumAxisBuilder::ConstraintType  geometryConstraintType1,
int  constraintAttribute1,
double  constraintValue1,
const NXString constraint1,
NXOpen::DisplayableObject geometry2,
NXOpen::Features::DatumAxisBuilder::ConstraintType  geometryConstraintType2,
int  constraintAttribute2,
double  constraintValue2,
const NXString constraint2,
NXOpen::Sense  direction 
)

Sets two different geometric objects.

Possible combinations are:

  • If first constrain is Through Point, then the second contraint can be:
    • Solid Body Vertex (endpoint)
    • Edge Midpoint
  • If first constrain is Intersection of Plane, then the second contraint can be:
    • Through the straight edge formed by the intersection of two planes
  • If first constrain is Through Curve, then the second contraint can be:
    • Used with Through Point constraint and along a curve
  • If first constrain is Perpendicular to object, then the second contraint can be:
    • Through Curve and Through Point perpendicular to lines, linear edge, datum planes, datum axis, or planar faces


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
geometry1First geometric object
geometryConstraintType1Constraint type of first geometry
constraintAttribute1Constraint attribute value of first geometry VRH alternate_solution_only - only for point on curve
constraintValue1Constraint value parameter of first geometry
constraint1Constraint attached with first geometric object. Set to "0.0" in case value is not specified
geometry2Second geometric object
geometryConstraintType2Constraint type of second geometry
constraintAttribute2Constraint attribute value of second geometry
constraintValue2Constraint value parameter of second geometry
constraint2Constraint attached with second geometric object. Set to "0.0" in case value is not specified
directionFlag to specify datum axis direction
void NXOpen::Features::DatumAxisBuilder::SetGeometryAndConstraints ( NXOpen::DisplayableObject geometry1,
NXOpen::Features::DatumAxisBuilder::ConstraintType  geometryConstraintType1,
int  constraintAttribute1,
double  constraintValue1,
const char *  constraint1,
NXOpen::DisplayableObject geometry2,
NXOpen::Features::DatumAxisBuilder::ConstraintType  geometryConstraintType2,
int  constraintAttribute2,
double  constraintValue2,
const char *  constraint2,
NXOpen::Sense  direction 
)

Sets two different geometric objects.

Possible combinations are:

  • If first constrain is Through Point, then the second contraint can be:
    • Solid Body Vertex (endpoint)
    • Edge Midpoint
  • If first constrain is Intersection of Plane, then the second contraint can be:
    • Through the straight edge formed by the intersection of two planes
  • If first constrain is Through Curve, then the second contraint can be:
    • Used with Through Point constraint and along a curve
  • If first constrain is Perpendicular to object, then the second contraint can be:
    • Through Curve and Through Point perpendicular to lines, linear edge, datum planes, datum axis, or planar faces


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
geometry1First geometric object
geometryConstraintType1Constraint type of first geometry
constraintAttribute1Constraint attribute value of first geometry VRH alternate_solution_only - only for point on curve
constraintValue1Constraint value parameter of first geometry
constraint1Constraint attached with first geometric object. Set to "0.0" in case value is not specified
geometry2Second geometric object
geometryConstraintType2Constraint type of second geometry
constraintAttribute2Constraint attribute value of second geometry
constraintValue2Constraint value parameter of second geometry
constraint2Constraint attached with second geometric object. Set to "0.0" in case value is not specified
directionFlag to specify datum axis direction
void NXOpen::Features::DatumAxisBuilder::SetPoint ( NXOpen::Point point)

Sets the point.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
pointpoint
void NXOpen::Features::DatumAxisBuilder::SetPoint1 ( NXOpen::Point point1)

Sets the first point.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
point1point1
void NXOpen::Features::DatumAxisBuilder::SetPoint2 ( NXOpen::Point point2)

Sets the second point.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
point2point2
void NXOpen::Features::DatumAxisBuilder::SetPointAndDirection ( NXOpen::Point point,
NXOpen::Direction direction 
)


Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
pointpoint
directiondirection
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve ( double  arcLength,
const NXString constraint,
NXOpen::Features::DatumAxisBuilder::AlternateSolution  alternateSolution,
NXOpen::Features::DatumAxisBuilder::CurveOption  option,
NXOpen::ICurve curve 
)

Sets curve or edge and arc length
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curveCurve or Edge object
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve ( double  arcLength,
const char *  constraint,
NXOpen::Features::DatumAxisBuilder::AlternateSolution  alternateSolution,
NXOpen::Features::DatumAxisBuilder::CurveOption  option,
NXOpen::ICurve curve 
)

Sets curve or edge and arc length
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curveCurve or Edge object
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve ( double  arcLength,
const NXString constraint,
NXOpen::Features::DatumAxisBuilder::CurveOption  option,
NXOpen::ICurve curve,
NXOpen::DisplayableObject secondGeometry 
)

Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionAbsolute distance or relative distance
curveCurve or Edge object
secondGeometrySecond geometric object
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve ( double  arcLength,
const char *  constraint,
NXOpen::Features::DatumAxisBuilder::CurveOption  option,
NXOpen::ICurve curve,
NXOpen::DisplayableObject secondGeometry 
)

Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionAbsolute distance or relative distance
curveCurve or Edge object
secondGeometrySecond geometric object
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve ( double  arcLength,
const NXString constraint,
NXOpen::Features::DatumAxisBuilder::CurveOption  option,
NXOpen::DisplayableObject secondGeometry,
NXOpen::ICurve curve 
)

Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionAbsolute distance or relative distance
secondGeometrySecond Geometric object
curveCurve or Edge object
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve ( double  arcLength,
const char *  constraint,
NXOpen::Features::DatumAxisBuilder::CurveOption  option,
NXOpen::DisplayableObject secondGeometry,
NXOpen::ICurve curve 
)

Sets Curve or Edge object and arc length with an extra geometry in picture
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionAbsolute distance or relative distance
secondGeometrySecond Geometric object
curveCurve or Edge object
void NXOpen::Features::DatumAxisBuilder::SetResizedEndDistance ( double  resizedEndDistance)

Sets the resized distance for the end point.

If the value is 0.0, then this datum axis is not resized at end point
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
resizedEndDistanceresizedenddistance
void NXOpen::Features::DatumAxisBuilder::SetReverseDirection ( bool  reverseDirection)

Sets
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
reverseDirectionreverse direction
void NXOpen::Features::DatumAxisBuilder::SetTwoPoints ( NXOpen::Point point1,
NXOpen::Point point2,
NXOpen::Features::DatumAxisBuilder::UseArcLength  useArcLength 
)

Sets two points
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
point1point1
point2point2
useArcLengthSpecify points which use arclength instead of percentage of arclength
void NXOpen::Features::DatumAxisBuilder::SetType ( NXOpen::Features::DatumAxisBuilder::Types  type)

Sets the Datum Axis type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
typetype
void NXOpen::Features::DatumAxisBuilder::SetVector ( NXOpen::Direction vector)

Sets the vector.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
vectorvector
NXOpen::Features::DatumAxisBuilder::Types NXOpen::Features::DatumAxisBuilder::Type ( )

Returns the Datum Axis type
Created in NX5.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::DatumAxisBuilder::Vector ( )

Returns the vector.

This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir


Created in NX5.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.